{
	saved_Clock [0]
	saved_yet [0]
	saved_onload [0]
	display_line [0]
	start_offset [0]

	Init[()
	{
		SetVis_RayLen(64);

		if( saved_yet = 0 )
		{
			saved_yet = 1;

			Player = GetPlayer();
			Player.SetFrozen( true );
			Player.SetCrouching();
			Player.SetNationality(2);

			Body = GetEntity("hull");
			Body.SetState_TruckDrive(0);
			Body.SetBaseRotation(0,0,90);
			Body.SetMinRotation(-20,-45,-60);
			Body.SetMaxRotation(20,45,5);

			capt = CreateEntity(201,0,0,0);
			capt.AttachTo(Body,3);
			capt.PlayAnimation(1);

			r1 = CreateEntity(200,0,0,0);
			r1.AttachTo(Body,1);
			r1.SetBaseRotation(0,0,90);
			r1.PlayAnimation(0);

			r2 = CreateEntity(200,0,0,0);
			r2.AttachTo(Body,2);
			r2.SetBaseRotation(0,0,90);
			r2.PlayAnimationOffset(0,90);

			r4 = CreateEntity(200,0,0,0);
			r4.AttachTo(Body,4);
			r4.SetBaseRotation(0,0,-90);
			r4.PlayAnimationOffset(0,90);

			r5 = CreateEntity(200,0,0,0);
			r5.AttachTo(Body,5);
			r5.SetBaseRotation(0,0,-90);
			r5.PlayAnimationOffset(0,40);

			r6 = CreateEntity(200,0,0,0);
			r6.AttachTo(Body,6);
			r6.SetBaseRotation(0,0,-90);
			r6.PlayAnimationOffset(0,70);

			r7 = CreateEntity(200,0,0,0);
			r7.AttachTo(Body,7);
			r7.SetBaseRotation(0,0,-90);
			r7.PlayAnimationOffset(0,20);
		}
	}]

	OnLevelLoad[ ()
	{
		PlayAmbient(170,100,0);
		StartTimer(start_offset,0);

		capt = GetEntity("pilot");
		capt.Delay(0,1);

		if( saved_onload = 0 )
		{
			saved_onload = 1;

			SetMessage(412,75,35);
			SetMessage2(414,75,50);
			SetMessage3(415,75,65);
		}
	}]

	Subtitle[ ()
	{
		switch( display_line )
		{
			case 0 	{ ManualSubtitle(26); }
			case 1 	{ ManualSubtitle(416); }
			case 2 	{ ManualSubtitle(417); }
			case 3 	{ ManualSubtitle(418); }
			case 4 	{ ManualSubtitle(26); }
			case 5 	{ ManualSubtitle(419); }
			case 6 	{ ManualSubtitle(420); }
			case 7 	{ ManualSubtitle(421); }
			case 8 	{ ManualSubtitle(422); }
			case 9 	{ ManualSubtitle(423); }
			case 10 { ManualSubtitle(424); }
			case 11 { ManualSubtitle(26); }
			case 12 { ManualSubtitle(425); }
			case 13 { ManualSubtitle(426); }
			case 14 { ManualSubtitle(26); }
		}

		display_line = toInt(display_line+1);
	}]

	TimerReached[ (tid)
	{
		Subtitle();

		switch( tid )
		{
			case 0  { StartTimer(640, 1);  }
			case 1  { StartTimer(384, 2);  }
			case 2  { StartTimer(256, 3);  }
			case 3  { StartTimer(512, 4);  }
			case 4  { StartTimer(340, 5);  }
			case 5  { StartTimer(427, 6);  }
			case 6  { StartTimer(256, 7);  }
			case 7  { StartTimer(512, 8);  }
			case 8  { StartTimer(768, 9);  }
			case 9  { StartTimer(128, 10); }
			case 10 { StartTimer(256, 11); }
			case 11 { StartTimer(1216,12); }
			case 12 { StartTimer(256,13); }
			case 13 { StartTimer(384,14); }
		}
	}]
}